Bug 503148 - Review Request: kmess - a msn messenger for kde
Review Request: kmess - a msn messenger for kde
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-05-29 05:21 EDT by Florian Sievert
Modified: 2009-07-22 11:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 08:37:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Sievert 2009-05-29 05:21:08 EDT
Spec URL: http://floriansievert.de/linux/repo/f11/unstable/specs/kmess.spec
SRPM URL: http://floriansievert.de/linux/repo/f11/unstable/srpms/kmess-2.0beta2-4.fc11.src.rpm
Description: kmess is a msn clone for kde. It is in copetition with kopete, but is offering much more msn specific features. There are quite some people out there, who are waiting for this instant messenger.
Comment 1 Susi Lehtola 2009-05-29 16:09:40 EDT
Some initial notes:


- Is the target platform stuff really necessary? Doesn't a simple
 %{cmake_kde4}
 make VERBOSE=1 %{?_smp_mflags}
do the job?

- You don't need to use
 %setup -q -n %{name}-%{version}
a simple
 %setup -q
will do.


- You probably don't need to
 mkdir %{buildroot}
as this should be automatically done by make install.

- You must install the desktop file as per
http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

- You must handle locale files as per
http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files

- You need to
 Requires: hicolor-icon-theme
for dir ownership.

- You need to update icon cache as per
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache

- Explicit requires of libraries (qca2) is not allowed
http://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

- %{_kde4_appsdir}/kmess/icons/hicolor/*/apps/gnomemeeting.png doesn't look correct.

- You're missing the source URL, ref
http://fedoraproject.org/wiki/Packaging/SourceURL
Comment 2 Susi Lehtola 2009-05-29 16:56:59 EDT
Is this your first package? It should have said so in the review request.

Also, I see you have applied for packager group membership. You need a sponsor, which also should have been in the review request and the blocker bug FE-NEEDSPONSOR should have been set.

If you do not have a sponsor yet I am willing to sponsor you if you convince me you know the Fedora Packaging guidelines (which, obviously, you don't - at the moment - judging from the amount of problems in the spec file).
You will need to submit at least one another package for review, and perform initial reviews of packages of other people.
Comment 3 Susi Lehtola 2009-07-05 06:38:47 EDT
ping?
Comment 4 Rahul Sundaram 2009-07-15 17:37:19 EDT
ping one more time
Comment 5 Susi Lehtola 2009-07-22 08:37:38 EDT
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.